exclude: "node_modules|migrations|.venv|tests/dev/|tests/fixtures/|presentations|samples"
fail_fast: false
repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.0.1
  hooks:
  - id: check-added-large-files
    args: ['--maxkb=500']
  - id: check-toml
  - id: check-xml
  - id: check-yaml
  - id: detect-private-key
  - id: end-of-file-fixer
  - id: fix-encoding-pragma
    args: [--remove]
  - id: trailing-whitespace
    args: [--markdown-linebreak-ext=md]

- repo: https://github.com/python/black
  rev: 21.5b2
  hooks:
  - id: black
    exclude_types: [directory,]
    language_version: python3
    log_file: ./dev_precommit_black.log
    require_serial: true
    types: [file, python]

- repo: https://github.com/pycqa/isort
  rev: 5.8.0
  hooks:
    - id: isort
      args: ["--profile", "black", "--filter-files"]

-   repo: https://github.com/shellcheck-py/shellcheck-py
    rev: v0.7.2.1
    hooks:
    -   id: shellcheck
